Skip to main content
GET
List credential providers

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20

Limit the number of credential providers to return.

Required range: 1 <= x <= 100
offset
integer
default:0

Offset the number of credential providers to return.

Required range: x >= 0
query
string

Case-insensitive substring match against credential provider name. IDs match by exact value.

Response

List of credential providers

created_at
string<date-time>
required

When the credential provider was created

Example:

"2025-01-15T10:30:00Z"

enabled
boolean
required

Whether the provider is enabled for credential lookups

Example:

true

id
string
required

Unique identifier for the credential provider

Example:

"credprov_abc123xyz"

name
string
required

Human-readable name for this provider instance

Example:

"my-1password"

priority
integer
required

Priority order for credential lookups (lower numbers are checked first)

Example:

0

provider_type
enum<string>
required

Type of credential provider

Available options:
onepassword
Example:

"onepassword"

updated_at
string<date-time>
required

When the credential provider was last updated

Example:

"2025-01-15T10:30:00Z"